> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Instructions



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/categories/{categoryId}/instructions:
    get:
      tags:
        - Category Guidance
      summary: Get Instructions
      operationId: CategoryGuidanceController_getInstructions_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^\d+$
        - name: categoryId
          required: true
          in: path
          schema:
            type: string
        - name: kind
          required: true
          in: query
          schema:
            enum:
              - instruction
              - requirement
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CategoryGuidanceAuthoringResponseDto'
components:
  schemas:
    CategoryGuidanceAuthoringResponseDto:
      type: object
      properties:
        revision:
          type: number
        categoryId:
          type: string
        kind:
          enum:
            - instruction
            - requirement
          type: string
        groups:
          type: array
          items:
            $ref: '#/components/schemas/CategoryInstructionGroupResponseDto'
      required:
        - revision
        - categoryId
        - kind
        - groups
    CategoryInstructionGroupResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        label:
          type: string
        position:
          type: number
        items:
          type: array
          items:
            $ref: '#/components/schemas/CategoryInstructionItemResponseDto'
      required:
        - id
        - lineageId
        - label
        - position
        - items
    CategoryInstructionItemResponseDto:
      type: object
      properties:
        id:
          type: string
        lineageId:
          type: string
        text:
          type: string
        assigneeRoleGroupIds:
          type: array
          items:
            type: string
            enum:
              - warehouse
              - mfg_vendors
              - owners
              - gc_sub
              - facility_mgr
        position:
          type: number
        disabledProductTypeIds:
          type: array
          items:
            type: string
      required:
        - id
        - lineageId
        - text
        - assigneeRoleGroupIds
        - position
        - disabledProductTypeIds

````